Rails.application.routes.draw do
  
  namespace :panel do
    namespace :personal_book do
      namespace :back_end do
	  
        match 'writing_book_setting' => "writing_books#writing_book_setting" ,:as => :writing_book_setting
		  		
        resources :writing_books do
          collection do
            get 'delete'
          end
		  
          match "author_type_quick_add" => "writing_books#author_type_quick_add" ,:as => :author_type_quick_add
          match "author_type_quick_edit" => "writing_books#author_type_quick_edit" ,:as => :author_type_quick_edit
		  
          match "paper_type_quick_add" => "writing_books#paper_type_quick_add" ,:as => :paper_type_quick_add
          match "paper_type_quick_edit" => "writing_books#paper_type_quick_edit" ,:as => :paper_type_quick_edit
        end
		resources :book_paper_types
		resources :book_author_types
        resources :tags
      end
      namespace :front_end do
        resources :writing_books
      end
      namespace :plugin do
        resources :writing_books
      end
      namespace :widget do
        match "writing_books" => "writing_books#index"
        match "home_list" => "writing_books#home_list"
        match "reload_writing_books" => "writing_books#reload_writing_books"
      end
    end
  end
 match "/appfront/*path" => redirect("/panel/*path")
 
end
